Subject: RE: [PATCH] branch: add '-' to delete previous branch

From: "Randall S. Becker" <[email-masked]>
Date: Wed, 29 Apr 2020 15:31:41 -0400

On April 29, 2020 3:28 PM, Junio wrote:
> Sergey Organov <[email-masked]> writes:
> > Ivan Tham <[email-masked]> writes:
> >
> >> Add support to delete previous branch from git checkout/switch to
> >> have feature parity with git switch -.
> > ...
> > Is this short-cut /that/ important to create yet another confusion?
> 
> I do not think it is that important, but I do not think "cd -" is so
important,
> either.

I wouldn't mind a switch - to the previously switched-out branch rather than
supporting this for delete. Alternatively, what about a switch --push and a
switch --pop like something out of bash pushd/popd.

Regards,
Randall